Package org.apache.sysds.hops.codegen

# Enum Class SpoofCompiler.PlanSelector

java.lang.Object
java.lang.Enum<SpoofCompiler.PlanSelector>
org.apache.sysds.hops.codegen.SpoofCompiler.PlanSelector

All Implemented Interfaces:
  `Serializable`, `Comparable<SpoofCompiler.PlanSelector>`, `Constable`

Enclosing class:
  SpoofCompiler

public static enum SpoofCompiler.PlanSelector extends Enum<SpoofCompiler.PlanSelector>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FUSE_ALL`
`FUSE_COST_BASED`
`FUSE_COST_BASED_V2`
`FUSE_NO_REDUNDANCY`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isCostBased()`
`boolean`
`isHeuristic()`
`static SpoofCompiler.PlanSelector`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SpoofCompiler.PlanSelector[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FUSE_ALL

public static final SpoofCompiler.PlanSelector FUSE_ALL

### FUSE_NO_REDUNDANCY

public static final SpoofCompiler.PlanSelector FUSE_NO_REDUNDANCY

### FUSE_COST_BASED

public static final SpoofCompiler.PlanSelector FUSE_COST_BASED

### FUSE_COST_BASED_V2

public static final SpoofCompiler.PlanSelector FUSE_COST_BASED_V2

## Method Details

### values

public static SpoofCompiler.PlanSelector[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SpoofCompiler.PlanSelector valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isHeuristic

public boolean isHeuristic()

### isCostBased

public boolean isCostBased()